(defun c:chatht15 ( / ta an bent bent2 pt lay tagname ss bname x att temp YN )

  (setq tagname "ORDER")
  (setq ss (ssget (list (cons 0 "INSERT"))))

  (setq ht (getreal "\nEnter text height<24>: "))
  (if (= ht nil)
    (setq ht 24)
  )

  (setq an (getreal "\nEnter Rotation<0>: "))
    (if (= an nil)
    (setq an 0)
  )

  (setq tagname (strcase (getstring "\nAttribute tag specification<ORDER>: ")))
   (if (= tagname "")
     (setq tagname "ORDER")
   )

(initget "Yes No")
(if (null (setq YN (getkword "\nClear Attribute Value? [Yes/No] <No>: ")))
    (setq YN "No")
)

  (setq an (/ (* an pi) 180))

  (repeat (setq x (sslength ss))
    (setq obj (vlax-ename->vla-object (ssname SS (setq x (- x 1) ))))
    (if  (= (vla-get-hasattributes obj) :vlax-true)
      (foreach att (vlax-invoke obj 'getattributes)
        (if (= tagname (strcase (vla-get-tagstring att)))
          (progn
            (vla-put-Rotation att an)
            (vla-put-height att ht)
            (if (= (vlax-get-property att 'Backward) :vlax-true)
             (vlax-put-property att 'Backward :vlax-false)
            )
            (if (= (vlax-get-property att 'UpsideDown) :vlax-true)
              (vlax-put-property att 'UpsideDown :vlax-false)
            )

           (if (= YN "Yes")
            (vla-put-textstring att "")
           )

          )
        )
      )
    )
  )

  (princ)
)

